> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Coaching Appointment

> Creates an appointment with selected members and coaches.



## OpenAPI

````yaml post /coachings/appointments
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /coachings/appointments:
    post:
      summary: Create a Coaching Appointment
      description: Creates an appointment with selected members and coaches.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type_id:
                  type: string
                date:
                  type: string
                duration_hours:
                  type: integer
                duration_minutes:
                  type: integer
                name:
                  type: string
                description:
                  type: string
                is_published:
                  type: boolean
                member_emails:
                  type: array
                  items:
                    type: string
                user_emails:
                  type: array
                  items:
                    type: string
              required:
                - type_id
                - date
                - duration_hours
                - duration_minutes
                - name
                - description
                - is_published
                - member_emails
                - user_emails
      responses:
        '201':
          description: Appointment created
          content:
            application/json:
              schema:
                type: object
                properties:
                  appointment_id:
                    type: string
                    description: The ID of the created appointment
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````